Skip to main content
GET
/
app.rocksky.artist.getArtists
Get artists
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtists \
  --header 'Authorization: Bearer <token>'
{
  "artists": [
    {
      "id": "<string>",
      "uri": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1,
      "tags": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The maximum number of artists to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
names
string

The names of the artists to return

genre
string

The genre to filter artists by

Response

OK

artists
object[]